<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [goPublic](./bitburner.corporation.gopublic.md)

## Corporation.goPublic() method

Go public.

**Signature:**

```typescript
goPublic(numShares: number): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

numShares


</td><td>

number


</td><td>

Number of shares you would like to issue for your IPO


</td></tr>
</tbody></table>

**Returns:**

boolean

true if you successfully go public, false if not

## Remarks

RAM cost: 20 GB

